diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 2e5a5cd331..39076934ca 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -923,6 +923,27 @@ include_dir 'conf.d'
        </note>
       </listitem>
      </varlistentry>
+	
+     <varlistentry id="guc-tcp-user-timeout" xreflabel="tcp_user_timeout">
+      <term><varname>tcp_user_timeout</varname> (<type>integer</type>)
+      <indexterm>
+       <primary><varname>tcp_user_timeout</varname> configuration parameter</primary>
+      </indexterm>
+      </term>
+      <listitem>
+       <para>
+		Specify in milliseconds the time to disconnect to the client 
+        when there is no ack packet from the client to the server's data transmission.
+        This parameter is supported on linux version 2.6.37 or later.
+       </para>
+       <note>
+        <para>
+         This parameter is not supported on Windows.
+        </para>
+       </note>
+      </listitem>
+     </varlistentry>
+
 
      </variablelist>
      </sect2>
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index d2e5b08541..45e2a46119 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1249,6 +1249,17 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
       </listitem>
      </varlistentry>
 
+     <varlistentry id="libpq-tcp-user-timeout" xreflabel="libpq_tcp_user_timeout">
+      <term><literal>tcp_user_timeout</literal></term>
+      <listitem>
+       <para>
+        Specify in milliseconds the time to disconnect to the server 
+        when there is no ack packet from server to the client's data transmission.
+        This parameter is supported on linux version 2.6.37 or later.
+       </para>
+      </listitem>
+     </varlistentry>
+
      <varlistentry id="libpq-connect-tty" xreflabel="tty">
       <term><literal>tty</literal></term>
       <listitem>
